% Funzione che impone la posizione iniziale come da progetto
function [shiftX,shiftY,shiftZ,shiftXstar,shiftYstar,shiftZstar] = pos_ini_TuL(cXo,...
    cXoStar,cYo,cZo,cZoStar,X_TuL,Y_TuL,Z_TuL,Xstar_TuL,Ystar_TuL,Zstar_TuL,NuovoZeroTuL)

%% Calcolo orario
shiftX = X_TuL(:,1) - cXo'; % trovo lo shift lungo X da applicare per riavere i punti noti
shiftY = Y_TuL(:,1) - cYo'; % trovo lo shift lungo Y da applicare per riavere i punti noti
shiftZ = Z_TuL(:,1) - cZo'; % trovo lo shift lungo Z da applicare per riavere i punti noti

%% Calcolo antiorario
if NuovoZeroTuL == 0
    cXoS = [fliplr(cXo(1:end-1)) cXo(end)];
    cYoS = [fliplr(cYo(1:end-1)) cYo(end)];
    cZoS = [fliplr(cZo(1:end-1)) cZo(end)];
    shiftXstar = Xstar_TuL(:,1) - cXoS'; % trovo lo shift lungo X da applicare per riavere i punti noti
    shiftYstar = Ystar_TuL(:,1) - cYoS'; % trovo lo shift lungo Y da applicare per riavere i punti noti
    shiftZstar = Zstar_TuL(:,1) - cZoS'; % trovo lo shift lungo Z da applicare per riavere i punti noti
elseif NuovoZeroTuL == 1
        shiftXstar = Xstar_TuL(:,1) - cXoStar'; % trovo lo shift lungo X da applicare per riavere i punti noti
        shiftYstar = 0; % AD OGGI NON SI CALCOLA% trovo lo shift lungo Y da applicare per riavere i punti noti
        shiftZstar = Zstar_TuL(:,1) - cZoStar'; % trovo lo shift lungo Z da applicare per riavere i punti noti
end

end